Bug 249683 - finance/kmymoney: depends on python 2.x
Summary: finance/kmymoney: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:27 UTC by Steve Wills
Modified: 2020-12-26 18:11 UTC (History)
1 user (show)

See Also:
jhale: maintainer-feedback+


Attachments
Diff for python3 support for kmymoney port (1.48 KB, patch)
2020-12-22 15:15 UTC, Oleg Sidorkin
jhale: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:27:08 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Oleg Sidorkin 2020-12-22 15:15:11 UTC
Created attachment 220815 [details]
Diff for python3 support for kmymoney port

Upstream accepted patch with python3 support (https://invent.kde.org/office/kmymoney/-/commit/a9722f40ec94bd7fdda078e393807dc1e78bbec3?merge_request_iid=44 ), so let's apply it downstream also not to wait for kmymoney release.
Comment 2 commit-hook freebsd_committer 2020-12-26 18:10:45 UTC
A commit references this bug:

Author: jhale
Date: Sat Dec 26 18:09:57 UTC 2020
New revision: 559302
URL: https://svnweb.freebsd.org/changeset/ports/559302

Log:
  finance/kmymoney: Support Python 3.x for the Weboob plugin

  PR:		249683
  Submitted by:	Oleg Sidorkin <osidorkin@gmail.com>
  Reported by:	swills

Changes:
  head/finance/kmymoney/Makefile
  head/finance/kmymoney/distinfo
Comment 3 Jason E. Hale freebsd_committer 2020-12-26 18:11:22 UTC
Committed, thanks!